Bug 840255 - Dokuwiki new version with security fixes available
Dokuwiki new version with security fixes available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dokuwiki (Show other bugs)
17
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Andrew Colin Kissa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-14 20:02 EDT by Dariusz Garbowski
Modified: 2012-11-12 10:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-12 10:21:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dariusz Garbowski 2012-07-14 20:02:57 EDT
Description of problem:
Current version of dokuwiki in Fedora 17 is rather ancient. There have been number of hotfixes and new releases that address security issues. Update in Fedora is due.

Version-Release number of selected component (if applicable):
0.11.20110525.a.fc17
Comment 1 Fedora Update System 2012-08-04 03:29:33 EDT
dokuwiki-0-0.12.20120125.b.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.12.20120125.b.el5
Comment 2 Fedora Update System 2012-08-04 03:31:02 EDT
dokuwiki-0-0.10.20120125.b.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.10.20120125.b.el6
Comment 3 Fedora Update System 2012-08-04 03:32:49 EDT
dokuwiki-0-0.11.20120125.b.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.11.20120125.b.fc16
Comment 4 Fedora Update System 2012-08-04 03:34:01 EDT
dokuwiki-0-0.12.20120125.b.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.12.20120125.b.fc17
Comment 5 Fedora Update System 2012-08-05 02:32:56 EDT
Package dokuwiki-0-0.10.20120125.b.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing dokuwiki-0-0.10.20120125.b.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6587/dokuwiki-0-0.10.20120125.b.el6
then log in and leave karma (feedback).
Comment 6 Dariusz Garbowski 2012-08-10 10:33:34 EDT
After updating to this version I get an error in the browser, e.g. using URL http://localhost/dokuwiki/doku.php displays (without '-----'):

----------------------------
DokuWiki Setup Error

The mediaolddir ('media_attic') does not exist, isn't accessible or writable. You should check your config and permission settings. Or maybe you want to run the installer?
----------------------------

What I did:

Fedora 17 x86_64

Note that I installed dokuwiki-selinux package, which I did not have previously. May this be a reason for the issue?

# rpm -qi dokuwiki
Name        : dokuwiki
Version     : 0
Release     : 0.11.20110525.a.fc17
...

# yum install http://kojipkgs.fedoraproject.org//packages/dokuwiki/0/0.12.20120125.b.fc17/noarch/dokuwiki-0-0.12.20120125.b.fc17.noarch.rpm http://kojipkgs.fedoraproject.org//packages/dokuwiki/0/0.12.20120125.b.fc17/noarch/dokuwiki-selinux-0-0.12.20120125.b.fc17.noarch.rpm
Loaded plugins: langpacks, presto, refresh-packagekit
dokuwiki-0-0.12.20120125.b.fc17.noarch.rpm                                                                                                 | 1.9 MB     00:02     
Examining /var/tmp/yum-root-zap81O/dokuwiki-0-0.12.20120125.b.fc17.noarch.rpm: dokuwiki-0-0.12.20120125.b.fc17.noarch
Marking /var/tmp/yum-root-zap81O/dokuwiki-0-0.12.20120125.b.fc17.noarch.rpm as an update to dokuwiki-0-0.11.20110525.a.fc17.noarch
dokuwiki-selinux-0-0.12.20120125.b.fc17.noarch.rpm                                                                                         | 4.9 kB     00:00     
Examining /var/tmp/yum-root-zap81O/dokuwiki-selinux-0-0.12.20120125.b.fc17.noarch.rpm: dokuwiki-selinux-0-0.12.20120125.b.fc17.noarch
Marking /var/tmp/yum-root-zap81O/dokuwiki-selinux-0-0.12.20120125.b.fc17.noarch.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package dokuwiki.noarch 0:0-0.11.20110525.a.fc17 will be updated
---> Package dokuwiki.noarch 0:0-0.12.20120125.b.fc17 will be an update
---> Package dokuwiki-selinux.noarch 0:0-0.12.20120125.b.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==================================================================================================================================================================
 Package                         Arch                  Version                               Repository                                                      Size
==================================================================================================================================================================
Installing:
 dokuwiki-selinux                noarch                0-0.12.20120125.b.fc17                /dokuwiki-selinux-0-0.12.20120125.b.fc17.noarch                112  
Updating:
 dokuwiki                        noarch                0-0.12.20120125.b.fc17                /dokuwiki-0-0.12.20120125.b.fc17.noarch                        6.3 M

Transaction Summary
==================================================================================================================================================================
Install  1 Package
Upgrade  1 Package

Total size: 6.3 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating   : dokuwiki-0-0.12.20120125.b.fc17.noarch                                                                                                         1/3 
  Installing : dokuwiki-selinux-0-0.12.20120125.b.fc17.noarch                                                                                                 2/3 
  Cleanup    : dokuwiki-0-0.11.20110525.a.fc17.noarch                                                                                                         3/3 
  Verifying  : dokuwiki-selinux-0-0.12.20120125.b.fc17.noarch                                                                                                 1/3 
  Verifying  : dokuwiki-0-0.12.20120125.b.fc17.noarch                                                                                                         2/3 
  Verifying  : dokuwiki-0-0.11.20110525.a.fc17.noarch                                                                                                         3/3 

Installed:
  dokuwiki-selinux.noarch 0:0-0.12.20120125.b.fc17                                                                                                               

Updated:
  dokuwiki.noarch 0:0-0.12.20120125.b.fc17                                                                                                                        

Complete!
# service httpd restart
Redirecting to /bin/systemctl restart  httpd.service
#
Comment 7 Dariusz Garbowski 2012-08-10 10:38:06 EDT
Sorry about messed up formatting above -- copy&paste from terminal was not too great :(
Comment 8 Dariusz Garbowski 2012-08-12 21:13:17 EDT
Uninstalling dokuwiki-selinux didn't fix the issue. Downgrade to dokuwiki-0-0.11.20110525.a.fc17.noarch made the wiki work again.
Comment 9 Dariusz Garbowski 2012-08-12 21:28:15 EDT
The following commands are needed to make dokuwiki-0-0.12.20120125.b.fc17.noarch work:

# mkdir /var/lib/dokuwiki/data/media_attic
# chown apache.apache /var/lib/dokuwiki/data/media_attic
# mkdir /var/lib/dokuwiki/data/media_meta
# chown apache.apache /var/lib/dokuwiki/data/media_meta

After this manual fix I was able to successfully view my dokuwiki pages and edit them. Shouldn't new package create those directories?
Comment 10 Fedora Update System 2012-10-20 11:03:52 EDT
dokuwiki-0-0.14.20121013.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.14.20121013.el6
Comment 11 Fedora Update System 2012-10-20 11:20:07 EDT
dokuwiki-0-0.14.20121013.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.14.20121013.el5
Comment 12 Fedora Update System 2012-10-20 11:26:28 EDT
dokuwiki-0-0.14.20121013.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.14.20121013.fc17
Comment 13 Fedora Update System 2012-10-20 11:27:43 EDT
dokuwiki-0-0.14.20121013.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.14.20121013.fc16
Comment 14 Fedora Update System 2012-10-20 11:29:42 EDT
dokuwiki-0-0.14.20121013.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dokuwiki-0-0.14.20121013.fc18

Note You need to log in before you can comment on or make changes to this bug.